Bug 1461534 - Setting VM ownership on more than 100 VMs at a time causing server error status 400 bad request
Setting VM ownership on more than 100 VMs at a time causing server error stat...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.7.0
All All
high Severity high
: GA
: 5.9.0
Assigned To: Libor Pichler
Nandini Chandra
: TestOnly, ZStream
Depends On:
Blocks: 1484387 1484385
  Show dependency treegraph
 
Reported: 2017-06-14 13:36 EDT by Ryan Spagnola
Modified: 2017-11-04 00:13 EDT (History)
12 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1484385 1484387 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
evm log (9.01 MB, application/x-xz)
2017-06-14 15:40 EDT, Ryan Spagnola
no flags Details

  None (edit)
Description Ryan Spagnola 2017-06-14 13:36:15 EDT
Description of problem:
Setting VM ownership on more than 100 VMs at a time causing  the following error:
Status 400 Bad Request
Content-Type
Data

Version-Release number of selected component (if applicable):
5.6.4

How reproducible:
Repeatedly

Steps to Reproduce:
1. Go To Compute > Infrastructure > Virtual Machines
2. list 100 items per page and check all
3. Go To Configuration > Set Ownership
4. Change Ownership and Group

Actual results:
400 Bad Request

Expected results:
Changed VM ownership

Additional info:
Tested in lab on vcenter provider with 10,000 vms. 
Changed ownership of 1,000 vms simultaneously without error.
Not able to reproduce on 5.6.4 or 5.7.2
Comment 2 Ryan Spagnola 2017-06-14 15:40 EDT
Created attachment 1287770 [details]
evm log
Comment 12 Libor Pichler 2017-08-21 08:06:17 EDT
EUWE PR: https://github.com/ManageIQ/manageiq/pull/15860
Comment 16 Nandini Chandra 2017-11-04 00:13:11 EDT
Verified in 5.9.0.4

Note You need to log in before you can comment on or make changes to this bug.